> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ouster.com/sensor-docs/firmware/3.2/api-reference/ouster-http-api/zone-monitor/set-zone-set-label/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/_mcp/server. # Set zone set label POST http://os-992244000006.local/api/v1/zone_monitor/staged/label Content-Type: application/json Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/zone-monitor/set-zone-set-label ## Request ### Body (application/json) This endpoint expects a string. - `string` ## Response ### 204 Successfully updated label ## Errors ### 400 Bad Request Error Invalid label - `any` ## Examples **Request** ```json "Main Entrance Zone" ``` **SDK Code** ```python import requests url = "http://os-992244000006.local/api/v1/zone_monitor/staged/label" payload = "Main Entrance Zone" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'http://os-992244000006.local/api/v1/zone_monitor/staged/label'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"Main Entrance Zone"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "http://os-992244000006.local/api/v1/zone_monitor/staged/label" payload := strings.NewReader("\"Main Entrance Zone\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://os-992244000006.local/api/v1/zone_monitor/staged/label") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"Main Entrance Zone\"" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("http://os-992244000006.local/api/v1/zone_monitor/staged/label") .header("Content-Type", "application/json") .body("\"Main Entrance Zone\"") .asString(); ``` ```php request('POST', 'http://os-992244000006.local/api/v1/zone_monitor/staged/label', [ 'body' => '"Main Entrance Zone"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://os-992244000006.local/api/v1/zone_monitor/staged/label"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"Main Entrance Zone\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = "Main Entrance Zone" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/zone_monitor/staged/label")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```